complexType "ElectricityDelivery"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | deliveryPoint, deliveryType
</...>

Content Model Elements (2):

  deliveryPoint (in deliveryConditions in electricityPhysicalLeg),
  deliveryType

All Direct / Indirect Based Elements (1):

  deliveryConditions (in electricityPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  deliveryConditions (in electricityPhysicalLeg)

Annotation
The physical delivery conditions for electricity.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ElectricityDelivery"> <xsd:choice> <xsd:sequence> <xsd:element name="deliveryPoint" type="ElectricityDeliveryPoint"/> <xsd:element name="deliveryType" type="ElectricityDeliveryType"/> <!--View Generation: SKIPPED transmissionContingency - Documentation--> </xsd:sequence> <!--View Generation: Skipped an empty sequence.--> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
deliveryPoint

  Type: | ElectricityDeliveryPoint, simple content

  The point at which delivery of the electricity will occur.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryPoint" type="ElectricityDeliveryPoint"/>

deliveryType

  Type: | ElectricityDeliveryType, complex content

  Indicates the under what conditions the Parties' delivery obligations apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryType" type="ElectricityDeliveryType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.